Subject: RE: [BUG] PREFIX environment variable ignored by git config --system

From: <[email-masked]>
Date: Wed, 29 Jan 2025 18:49:28 -0500

On January 29, 2025 6:37 PM, Junio C Hamano wrote:
><[email-masked]> writes:
>
>> On January 29, 2025 3:15 PM, Junio C Hamano wrote:
>>><[email-masked]> writes:
>>>
>>>> The documentation on the Environment Configuration page seems to
>>>> imply that
>>>
>>>Sorry, I am totally lost.  Whose documentation on what software are
>>>you
>> referring
>>>to?
>>>
>>>  $ git grep -i -e 'environment configuration'
>>>
>>>comes back empty.
>>
>> It is here:
>> https://git-scm.com/book/ms/v2/Git-Internals-Environment-Variables
>
>It is news to me ;-).
>
>    $ git grep '[^_]PREFIX[^_]'
>
>does not have any hits in the source, so I do not see how we _could_ be
paying any
>attention to such a thing.
>
>The description seems to originate at
>
>  https://github.com/progit2-
>ms/progit2/commit/c24f22d6a6b0572f5756afd64f0c2e9fa6f804fa
>
>that was more than 10 years old.  I do not know how reliable the
description there
>is.

Those of us who have written documentation for much of our lives, really
miss accuracy. There are companies where a wrong bit of documentation
is considered as high severity defect. Regardless of that...

t1300-config.sh has the following line in it:

GIT_CONFIG_SYSTEM=write-to-system git config --system config.key value &&

Could it mean that GIT_CONFIG_SYSTEM is actually what I am looking for?